# Interface methods for submodule: LabelObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LightObjectProxy as _LightObjectProxy


# Interface methods for class: LabelObject
class LabelObjectProxy(_LightObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def GetAttributeFromName(s: str) -> int:
		""""""
		...

	@staticmethod
	def GetNameFromAttribute(a: int) -> str:
		""""""
		...

	def GetLabel(self) -> int:
		""""""
		...

	def SetLabel(self, label: int) -> None:
		""""""
		...

	def HasIndex(self, idx: Sequence[int]) -> bool:
		""""""
		...

	def AddIndex(self, idx: Sequence[int]) -> None:
		""""""
		...

	def RemoveIndex(self, idx: Sequence[int]) -> bool:
		""""""
		...

	@overload
	def AddLine(self, idx: Sequence[int], length: int) -> None:
		""""""
		...

	@overload
	def AddLine(self, line) -> None:
		""""""
		...

	def GetNumberOfLines(self) -> int:
		""""""
		...

	def GetLine(self, i: int):
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	def Empty(self) -> bool:
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def GetIndex(self, offset: int) -> Sequence[int]:
		""""""
		...

	def Optimize(self) -> None:
		""""""
		...

	def Shift(self, offset: Sequence[int]) -> None:
		""""""
		...

